Page 1 of 3 123 LastLast
Results 1 to 10 of 26

Thread: Unable to run viber - no connection

  1. #1

    Default Unable to run viber - no connection

    Installation is done with ignoring dependencies and signature verification:

    Code:
    zypper in viber.rpm 
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libcrypto.so.10()(64bit) needed by viber-7.0.0.1035-2.x86_64
     Solution 1: do not install viber-7.0.0.1035-2.x86_64
     Solution 2: break viber-7.0.0.1035-2.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): 2
    Resolving dependencies...
    Resolving package dependencies...
    
    The following NEW package is going to be installed:
      viber
    
    1 new package to install.
    Overall download size: 135.2 MiB. Already cached: 0 B. After the operation, additional 408.5 MiB will be used.
    Continue? [y/n/...? shows all options] (y): y
    Retrieving package viber-7.0.0.1035-2.x86_64                                                                                                                                                (1/1), 135.2 MiB (408.5 MiB unpacked)
    viber.rpm:
        Package is not signed!
    
    viber-7.0.0.1035-2.x86_64 (Plain RPM files cache): Signature verification failed [6-File is unsigned]
    Abort, retry, ignore? [a/r/i] (a): i
    Checking for file conflicts: ..............................................................................................................................................................................................[done]
    (1/1) Installing: viber-7.0.0.1035-2.x86_64 ...............................................................................................................................................................................[done]
    Starts fine but does not want to connect:

    Code:
    Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
    qt.network.ssl: QSslSocket: cannot resolve CRYPTO_num_locks
    qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_id_callback
    qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_locking_callback
    qt.network.ssl: QSslSocket: cannot resolve ERR_free_strings
    qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup
    qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_init
    qt.network.ssl: QSslSocket: cannot resolve sk_new_null
    qt.network.ssl: QSslSocket: cannot resolve sk_push
    qt.network.ssl: QSslSocket: cannot resolve sk_free
    qt.network.ssl: QSslSocket: cannot resolve sk_num
    qt.network.ssl: QSslSocket: cannot resolve sk_pop_free
    qt.network.ssl: QSslSocket: cannot resolve sk_value
    qt.network.ssl: QSslSocket: cannot resolve SSL_library_init
    qt.network.ssl: QSslSocket: cannot resolve SSL_load_error_strings
    qt.network.ssl: QSslSocket: cannot resolve SSL_get_ex_new_index
    qt.network.ssl: QSslSocket: cannot resolve SSLv3_client_method
    qt.network.ssl: QSslSocket: cannot resolve SSLv23_client_method
    qt.network.ssl: QSslSocket: cannot resolve SSLv3_server_method
    qt.network.ssl: QSslSocket: cannot resolve SSLv23_server_method
    qt.network.ssl: QSslSocket: cannot resolve X509_STORE_CTX_get_chain
    qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf
    qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf
    qt.network.ssl: QSslSocket: cannot resolve SSLeay
    qt.network.ssl: QSslSocket: cannot resolve SSLeay_version
    qt.network.ssl: Incompatible version of OpenSSL
    qt.network.ssl: QSslSocket: cannot call unresolved function SSLv23_client_method
    qt.network.ssl: QSslSocket: cannot call unresolved function SSL_library_init
    QQuickItem: Cannot set activeFocusOnTab to false once item is the active focus item.
    QQuickItem: Cannot set activeFocusOnTab to false once item is the active focus item.
    qt.network.ssl: QSslSocket: cannot call unresolved function SSLv23_client_method
    qt.network.ssl: QSslSocket: cannot call unresolved function SSL_library_init
    It doesn't complain about shared libraries:

    Code:
    ldd /opt/viber/Viber 
            linux-vdso.so.1 (0x00007ffef8deb000)
            libXss.so.1 => /usr/lib64/libXss.so.1 (0x00007f0b0a8ae000)
            libqrencode.so => /opt/viber/lib/libqrencode.so (0x00007f0b0a69d000)
            libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007f0b0a40c000)                                                                                                                                                                 
            libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f0b0a1fa000)                                                                                                                                                             
            libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f0b09eb9000)                                                                                                                                                               
            libz.so.1 => /lib64/libz.so.1 (0x00007f0b09ca2000)
            libQt5Sql.so.5 => /opt/viber/lib/libQt5Sql.so.5 (0x00007f0b0ac6d000)
            libQt5Concurrent.so.5 => /opt/viber/lib/libQt5Concurrent.so.5 (0x00007f0b0ac67000)
            libQt5Multimedia.so.5 => /opt/viber/lib/libQt5Multimedia.so.5 (0x00007f0b0ab58000)
            libQt5Location.so.5 => /opt/viber/lib/libQt5Location.so.5 (0x00007f0b09b09000)
            libQt5WebSockets.so.5 => /opt/viber/lib/libQt5WebSockets.so.5 (0x00007f0b0ab2d000)
            libQt5WebEngine.so.5 => /opt/viber/lib/libQt5WebEngine.so.5 (0x00007f0b09aa7000)
            libQt5PrintSupport.so.5 => /opt/viber/lib/libQt5PrintSupport.so.5 (0x00007f0b09a38000)
            libQt5DBus.so.5 => /opt/viber/lib/libQt5DBus.so.5 (0x00007f0b099b6000)
            libdl.so.2 => /lib64/libdl.so.2 (0x00007f0b097b2000)
            libpulse.so.0 => /usr/lib64/libpulse.so.0 (0x00007f0b09561000)
            libasound.so.2 => /usr/lib64/libasound.so.2 (0x00007f0b09269000)
            libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f0b0904a000)
            librt.so.1 => /lib64/librt.so.1 (0x00007f0b08e42000)
            libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f0b08c3a000)
            libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f0b08a1d000)
            libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007f0b0881a000)
            libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f0b08617000)
            libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f0b08411000)
            libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f0b08206000)
            libicui18n.so.52 => /opt/viber/lib/libicui18n.so.52 (0x00007f0b07daa000)
            libicuuc.so.52 => /opt/viber/lib/libicuuc.so.52 (0x00007f0b07a0f000)
            libQt5WebEngineCore.so.5 => /opt/viber/lib/libQt5WebEngineCore.so.5 (0x00007f0b01066000)
            libQt5Quick.so.5 => /opt/viber/lib/libQt5Quick.so.5 (0x00007f0b00c05000)
            libQt5WebChannel.so.5 => /opt/viber/lib/libQt5WebChannel.so.5 (0x00007f0b0ab09000)
            libQt5Qml.so.5 => /opt/viber/lib/libQt5Qml.so.5 (0x00007f0b00809000)
            libQt5Network.so.5 => /opt/viber/lib/libQt5Network.so.5 (0x00007f0b0067c000)
            libQt5Positioning.so.5 => /opt/viber/lib/libQt5Positioning.so.5 (0x00007f0b0061f000)
            libQt5Widgets.so.5 => /opt/viber/lib/libQt5Widgets.so.5 (0x00007f0afffc8000)
            libQt5Gui.so.5 => /opt/viber/lib/libQt5Gui.so.5 (0x00007f0affa3f000)
            libQt5Core.so.5 => /opt/viber/lib/libQt5Core.so.5 (0x00007f0aff40a000)
            libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f0aff081000)
            libm.so.6 => /lib64/libm.so.6 (0x00007f0afecee000)
            libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f0afead6000)
            libc.so.6 => /lib64/libc.so.6 (0x00007f0afe718000)
            /lib64/ld-linux-x86-64.so.2 (0x00007f0b0aab2000)
            libGLX.so.0 => /usr/lib64/libGLX.so.0 (0x00007f0afe4e6000)
            libGLdispatch.so.0 => /usr/lib64/libGLdispatch.so.0 (0x00007f0afe230000)
            libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f0afe007000)
            libpulse-mainloop-glib.so.0 => /usr/lib64/libpulse-mainloop-glib.so.0 (0x00007f0afde02000)
            libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f0afdaea000)
            libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007f0afd898000)
            libpulsecommon-11.1.so => /usr/lib64/pulseaudio/libpulsecommon-11.1.so (0x00007f0afd613000)
            libuuid.so.1 => /usr/lib64/libuuid.so.1 (0x00007f0afd40b000)
            libicudata.so.52 => /opt/viber/lib/libicudata.so.52 (0x00007f0afbb9d000)
            libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f0afb999000)
            libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f0afb745000)
            libgthread-2.0.so.0 => /usr/lib64/libgthread-2.0.so.0 (0x00007f0afb543000)
            libnss3.so => /usr/lib64/libnss3.so (0x00007f0afb218000)
            libnssutil3.so => /usr/lib64/libnssutil3.so (0x00007f0afafe8000)
            libsmime3.so => /usr/lib64/libsmime3.so (0x00007f0afadc0000)
            libplds4.so => /usr/lib64/libplds4.so (0x00007f0afabbc000)
            libplc4.so => /usr/lib64/libplc4.so (0x00007f0afa9b7000)
            libnspr4.so => /usr/lib64/libnspr4.so (0x00007f0afa778000)
            libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f0afa576000)
            libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007f0afa36b000)
            libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f0afa15a000)
            libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007f0af9f54000)
            libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f0af9d0f000)
            libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f0af9a68000)
            libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f0af9836000)
            libpng12.so.0 => /opt/viber/lib/libpng12.so.0 (0x00007f0af960d000)
            libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007f0af9402000)
            libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f0af91eb000)
            libEGL.so.1 => /usr/lib64/libEGL.so.1 (0x00007f0af8fd8000)
            libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f0af8dd4000)
            libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007f0af8b47000)
            libsystemd.so.0 => /usr/lib64/libsystemd.so.0 (0x00007f0af88b0000)
            libsndfile.so.1 => /usr/lib64/libsndfile.so.1 (0x00007f0af8634000)
            libffi.so.7 => /usr/lib64/libffi.so.7 (0x00007f0af842a000)
            libbz2.so.1 => /usr/lib64/libbz2.so.1 (0x00007f0af820d000)
            libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f0af7fc9000)
            liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x00007f0af7d8e000)
            liblz4.so.1 => /usr/lib64/liblz4.so.1 (0x00007f0af7b77000)
            libcap.so.2 => /usr/lib64/libcap.so.2 (0x00007f0af7972000)
            libgcrypt.so.20 => /usr/lib64/libgcrypt.so.20 (0x00007f0af7656000)
            libFLAC.so.8 => /usr/lib64/libFLAC.so.8 (0x00007f0af7419000)
            libogg.so.0 => /usr/lib64/libogg.so.0 (0x00007f0af7212000)
            libvorbis.so.0 => /usr/lib64/libvorbis.so.0 (0x00007f0af6fe5000)
            libvorbisenc.so.2 => /usr/lib64/libvorbisenc.so.2 (0x00007f0af6d3c000)
            libspeex.so.1 => /usr/lib64/libspeex.so.1 (0x00007f0af6b21000)
            libgpg-error.so.0 => /usr/lib64/libgpg-error.so.0 (0x00007f0af6906000)
    Viber official response is:

    I am sorry that we weren’t able to reply earlier.
    We have reviewed the information and regret to inform that Viber is not supported on OpenSUSE as well as on Linux Mint. It mean that although some users are able to run Viber on their device we cannot ensure that Viber can be successfully installed and function on platforms unless Ubuntu 64 bit or Fedora is used (not other distributions).
    For a full list of supported devices and platforms, please follow the link: https://vb.me/5d739e20
    We apologize for the inconvenience.

    So no help from their side. Anyone else here has any ideas on how to make it work?

    Thanks a bunch!
    Last edited by Sauerland; 30-Mar-2018 at 02:35.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,306
    Blog Entries
    2

    Default Re: Unable to run viber - no connection

    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: Unable to run viber - no connection

    Not sure what you wanted me to get from that thread but I already have:

    Code:
    ls -la /usr/lib64/libcrypto.so.10
    lrwxrwxrwx 1 root root 27 Mar 27 11:46 /usr/lib64/libcrypto.so.10 -> /usr/lib64/libcrypto.so.1
    Also, this:

    Code:
    ls -la /lib64/libcrypt.so.1
    lrwxrwxrwx 1 root root 16 Mar 26 12:00 /lib64/libcrypt.so.1 -> libcrypt-2.27.so

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,984

    Default AW: Unable to run viber - no connection

    Here on Tumbleweed in a Virtualbox:
    Code:
    tumbleweed:/home/xxxxx # zypper in /home/xxxxx/Downloads/viber.rpm 
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libcrypto.so.10()(64bit) needed by viber-7.0.0.1035-2.x86_64
     Solution 1: do not install viber-7.0.0.1035-2.x86_64
     Solution 2: break viber-7.0.0.1035-2.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): 2
    Resolving dependencies...
    Resolving package dependencies...
    
    The following 2 NEW packages are going to be installed:
      libpng12-0 viber
    
    2 new packages to install.
    Overall download size: 135.2 MiB. Already cached: 86.9 KiB. After the operation, additional 408.7 MiB will be used.
    Continue? [y/n/...? shows all options] (y): y
    In cache libpng12-0-1.2.57-2.1.x86_64.rpm                                                            (1/2),  86.9 KiB (182.1 KiB unpacked)
    Retrieving package viber-7.0.0.1035-2.x86_64                                                         (2/2), 135.2 MiB (408.5 MiB unpacked)
    viber.rpm:
        Package is not signed!
    
    viber-7.0.0.1035-2.x86_64 (Plain RPM files cache): Signature verification failed [6-File is unsigned]
    Abort, retry, ignore? [a/r/i] (a): i
    Checking for file conflicts: .......................................................................................................[done]
    (1/2) Installing: libpng12-0-1.2.57-2.1.x86_64 .....................................................................................[done]
    (2/2) Installing: viber-7.0.0.1035-2.x86_64 ........................................................................................[done]
    
    tumbleweed:/home/xxxxx # ln -s /usr/lib64/libcrypto.so.1 /usr/lib64/libcrypto.so.10
    
    tumbleweed:/home/xxxxx # ls -la /lib64/libcrypt.so.1
    lrwxrwxrwx 1 root root 16 Mar 26 12:00 /lib64/libcrypt.so.1 -> libcrypt-2.27.so
    
    tumbleweed:/home/xxxxx # ls -la /usr/lib64/libcrypto.so.10
    lrwxrwxrwx 1 root root 25 Mar 30 11:15 /usr/lib64/libcrypto.so.10 -> /usr/lib64/libcrypto.so.1
    tumbleweed:/home/xxxxx #
    It is starting:
    Code:
    xxxxx@tumbleweed:~/Downloads> /opt/viber/Viber 
    Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory...
    Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory...
    QQuickItem: Cannot set activeFocusOnTab to false once item is the active focus item.
    QQuickItem: Cannot set activeFocusOnTab to false once item is the active focus item.
    QQuickItem: Cannot set activeFocusOnTab to false once item is the active focus item.
    xxxxx@tumbleweed:~/Downloads>
    Have changed my Username to xxxxx.......
    But without any Phone, I can not see, if it is connecting.

    Is your Tumbleweed up to date?
    Try:
    Code:
    zypper dup
    And please use Code-Tags for Terminal Output.
    Last edited by Sauerland; 30-Mar-2018 at 02:36.

  5. #5

    Default Re: AW: Unable to run viber - no connection

    Quote Originally Posted by Sauerland View Post
    Here on Tumbleweed in a Virtualbox: tumbleweed:/home/xxxxx # ls -la /lib64/libcrypt.so.1 lrwxrwxrwx 1 root root 16 Mar 26 12:00 /lib64/libcrypt.so.1 -> libcrypt-2.27.so tumbleweed:/home/xxxxx # ls -la /usr/lib64/libcrypto.so.10 lrwxrwxrwx 1 root root 25 Mar 30 11:15 /usr/lib64/libcrypto.so.10 -> /usr/lib64/libcrypto.so.1 tumbleweed:/home/xxxxx # [/CODE] Have changed my Username to xxxxx....... But without any Phone, I can not see, if it is connecting. Is your Tumbleweed up to date? Try:
    Code:
    zypper dup
    I have (almost) the same links as you:
    Code:
     linux-1iqf:/usr/lib64 # ls -la /lib64/libcrypt.so.1 lrwxrwxrwx 1 root root 16 Mar 26 12:00 /lib64/libcrypt.so.1 -> libcrypt-2.27.so  linux-1iqf:/usr/lib64 #  ls -la /usr/lib64/libcrypto.so.10 lrwxrwxrwx 1 root root 27 Mar 27 11:46 /usr/lib64/libcrypto.so.10 -> /usr/lib64/libcrypto.so.1.1
    Except my libcrypto.so.10 points to libcrypto.so.1.1 instead of libcrypto.so.1. I don't have libcrypto.so.1 in /usr/lib64:
    Code:
     linux-1iqf:~ # ls -la /usr/lib64/libcrypto* lrwxrwxrwx 1 root root      16 Mar  1 12:20 /usr/lib64/libcrypto.so -> libcrypto.so.1.1 -rwxr-xr-x 1 root root 2647520 Mar  1 12:21 /usr/lib64/libcrypto.so.1.1 lrwxrwxrwx 1 root root      27 Mar 27 11:46 /usr/lib64/libcrypto.so.10 -> /usr/lib64/libcrypto.so.1.1 lrwxrwxrwx 1 root root      19 Dec 29 19:30 /usr/lib64/libcrypto.so.42 -> libcrypto.so.42.0.0 -rwxr-xr-x 1 root root 1911176 Dec 29 19:30 /usr/lib64/libcrypto.so.42.0.0 -rwxr-xr-x 1 root root 3962784 Oct 12 02:24 /usr/lib64/libcryptopp.so.5.6.5
    Yes, tumbleweed is up to date. For me, it doesn't want to connect, Viber screen shows "No connection".

  6. #6

    Default Re: Unable to run viber - no connection

    Also, here are my libcrypto packages:

    Code:
    linux-1iqf:/usr/lib64 # rpm -qa | grep -i libcrypt
    libcryptopp5_6_5-5.6.5-3.3.x86_64
    libcrypto42-2.6.4-1.1.x86_64
    libcryptui0-3.12.2-6.1.x86_64
    libcryptui-lang-3.12.2-6.1.noarch
    libcryptsetup12-2.0.1-1.2.x86_64
    libcryptui-data-3.12.2-6.1.x86_64

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,306
    Blog Entries
    2

    Default Re: Unable to run viber - no connection

    On my TW, libcrypt.so.1 is not in the place you're looking at...

    It should be found in
    Code:
    /lib64/libcrypt.so.1
    If you just assumed all your library files would be /usr/lib64/
    Don't.
    Use Find or the locate utility to be certain.

    HTH,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8

    Default Re: Unable to run viber - no connection

    I also have that one there:

    Code:
    linux-1iqf:/lib64 # ls -la /lib64/libcrypt*
    -rwxr-xr-x 1 root root 57896 Mar 26 12:02 /lib64/libcrypt-2.27.so
    lrwxrwxrwx 1 root root    16 Mar 26 12:00 /lib64/libcrypt.so.1 -> libcrypt-2.27.so
    Also,
    Code:
    linux-1iqf:/lib64 # updatedb
    inux-1iqf:/lib64 # locate libcrypt
    /lib64/libcrypt-2.27.so
    /lib64/libcrypt.so.1
    /usr/lib64/libcrypt.so
    /usr/lib64/libcrypto.so
    /usr/lib64/libcrypto.so.1.1
    /usr/lib64/libcrypto.so.10
    /usr/lib64/libcrypto.so.42
    /usr/lib64/libcrypto.so.42.0.0
    /usr/lib64/libcryptopp.so.5.6.5
    /usr/lib64/libcryptsetup.so.12
    /usr/lib64/libcryptsetup.so.12.1.0
    /usr/lib64/libcryptui.so.0
    /usr/lib64/libcryptui.so.0.0.0
    /usr/lib64/pkgconfig/libcrypto.pc
    /usr/share/doc/packages/libcryptui0
    /usr/share/doc/packages/libcryptui0/AUTHORS
    /usr/share/doc/packages/libcryptui0/COPYING-LIBCRYPTUI
    /usr/share/doc/packages/libcryptui0/ChangeLog
    /usr/share/doc/packages/libcryptui0/NEWS
    /usr/share/doc/packages/libcryptui0/README

  9. #9
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Unable to run viber - no connection

    you need to manually link /usr/lib64/libcrypt.so.1 to /usr/lib64/libcrypt.so.10
    as /usr/lib64/libcrypt.so.10 does not exist in opensuse but viber expects to find it
    also make sure you enable viber in opensuse's firewall

  10. #10

    Default Re: Unable to run viber - no connection

    Quote Originally Posted by I_A View Post
    you need to manually link /usr/lib64/libcrypt.so.1 to /usr/lib64/libcrypt.so.10
    as /usr/lib64/libcrypt.so.10 does not exist in opensuse but viber expects to find it
    also make sure you enable viber in opensuse's firewall
    I don't have /usr/lib64/libcrypt.so.1

    I only have /usr/lib64/libcrypt.so (not .1). I have tried linking that one but no go.

    My firewall is disabled.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •